Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Botan::PK_Ops::Key_Agreement_with_KDF Class Referenceabstract

`#include <pk_ops_impl.h>`

Inheritance diagram for Botan::PK_Ops::Key_Agreement_with_KDF:

## Public Member Functions
secure_vector< uint8_t > | agree (size_t key_len, const uint8_t other_key[], size_t other_key_len, const uint8_t salt[], size_t salt_len) override

## Protected Member Functions
| Key_Agreement_with_KDF (const std::string &kdf)
| ~Key_Agreement_with_KDF ()=default

## Detailed Description

Definition at line 170 of file pk_ops_impl.h.

## Constructor & Destructor Documentation

Botan::PK_Ops::Key_Agreement_with_KDF::Key_Agreement_with_KDF | ( | const std::string & | kdf | ) |
| explicit protected

Definition at line 49 of file pk_ops.cpp.

References Botan::get_kdf().

50 {
51 if(kdf != "Raw")
52 m_kdf.reset(get_kdf(kdf));
53 }
Botan::get_kdf
KDF * get_kdf(const std::string &algo_spec)
Definition: kdf.cpp:226

Botan::PK_Ops::Key_Agreement_with_KDF::~Key_Agreement_with_KDF | ( |  | ) |
| protected default

## Member Function Documentation

secure_vector< uint8_t > Botan::PK_Ops::Key_Agreement_with_KDF::agree | ( | size_t | key_len,
|  | const uint8_t | other_key[],
|  | size_t | other_key_len,
|  | const uint8_t | salt[],
|  | size_t | salt_len
| ) |  |
| override virtual

Implements Botan::PK_Ops::Key_Agreement.

Definition at line 55 of file pk_ops.cpp.

58 {
59 secure_vector<uint8_t> z = raw_agree(w, w_len);
60 if(m_kdf)
61 return m_kdf->derive_key(key_len, z, salt, salt_len);
62 return z;
63 }

The documentation for this class was generated from the following files:

- src/lib/pubkey/pk_ops_impl.h
- src/lib/pubkey/pk_ops.cpp